%define name		tanukiwrapper
%define version		3.1.1
%define release		1jpp
%define section		devel

Summary:	Java Service Wrapper
URL:		http://wrapper.tanukisoftware.org/
Source0:	wrapper_3.1.1_src.tar.gz

Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
License:	Tanuki Software License (open source)
Group:		Development/Java
Vendor:		JPackage Project
Distribution:	JPackage
BuildArch:	i386
BuildRequires:	jpackage-utils >= 0:1.5
BuildRequires:  glibc-devel
BuildRequires:  ant
BuildRequires:  junit
BuildRequires:  xerces-j2
BuildRequires:  xml-commons-apis
Requires:	jpackage-utils >= 0:1.5
Requires:       xerces-j2
Requires:       xml-commons-apis
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
The Java Service Wrapper is an application which has 
evolved out of a desire to solve a number of problems 
common to many Java applications: 
- Run as a Windows Service or Unix Daemon 
- Application Reliability 
- Standard, Out of the Box Scripting 
- On Demand Restarts 
- Flexible Configuration 
- Ease Application Installations 
- Logging 

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
%{summary}

%package manual
Summary:        Documents for %{name}
Group:          Development/Documentation

%description manual
%{summary}

%package demo
Summary:        Usage examples for %{name}
Group:          Development/Documentation

%description demo
%{summary}

%prep
%setup -q -n wrapper_3.1.1_src
chmod -R go=u-w *
find . -name "*.jar" -exec rm -f {} \;

%build
export CLASSPATH=$(build-classpath \
ant/ \
junit \
xerces-j2 \
xml-commons-apis
)
ant -Dbuild.sysclasspath=first release-common

%install
rm -rf $RPM_BUILD_ROOT

# jar
install -d -m 0755 $RPM_BUILD_ROOT%{_javadir}
install -p -m 0644 lib/wrapper.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
install -p -m 0644 lib/wrappertest.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-test-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

# jni
install -d -m 755 $RPM_BUILD_ROOT%{_libdir}
install -p -m 0644 lib/libwrapper.so $RPM_BUILD_ROOT%{_libdir}

# commands
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/bin
install -m 755 bin/testwrapper $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/bin
install -m 755 bin/wrapper $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/bin
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/conf
install -m 644 conf/wrapper.conf $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/conf

# demo
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/test
cp -pr test/* $RPM_BUILD_ROOT%{_datadir}/%{name}-%{version}/test

# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr jdoc/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink

# manual
install -d -m 0755 $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
cp -pr doc/*  $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -sf %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
  rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(-,root,root,-)
%{_javadir}/*
%{_docdir}/%{name}-%{version}/license.txt
%{_libdir}/libwrapper.so
%{_datadir}/%{name}-%{version}/bin
%{_datadir}/%{name}-%{version}/conf

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%files manual
%defattr(0644,root,root,0755)
%{_docdir}/%{name}-%{version}

%files demo
%defattr(0644,root,root,0755)
%{_datadir}/%{name}-%{version}/test

%changelog
* Fri Jul 30 2004 Ralph Apel <r.apel at r-apel.de> 0:3.1.1-1jpp
- First JPackage release
